import java.awt.geom.*;
import java.util.*;

import edu.umd.cs.jazz.*;
import edu.umd.cs.jazz.util.*;
import edu.umd.cs.jazz.event.*;
import edu.umd.cs.jazz.component.*;


public class NodeClickListener extends ZMouseAdapter {
    /**
     * callback function that is called by Jazz when a mouse click event occurs.
     *
     * @param click_event_ details of the click event
     */
    public void mouseClicked(ZMouseEvent click_event_) {
	// get the node that was clicked
	VDataguide clicked_node = (VDataguide)(click_event_.getNode());
	Point2D clicked_point = click_event_.getLocalPoint();
	boolean shift_down = click_event_.isShiftDown();
	clicked_node.handleClick(clicked_point, shift_down);
    }

    //public void mousePressed(ZMouseEvent click_event_) {
    //}    
}

		      
